> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eyelevel.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eyelevel.ai/_mcp/server.

# create

POST https://api.groundx.ai/api/v1/group
Content-Type: application/json

create a new group, a group being a collection of buckets which can be searched.


Reference: https://docs.eyelevel.ai/reference/api-reference/groups/create

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects a GroupCreateRequest.

- `name` (string, required) — The name of the group being created.
- `bucketName` (string, optional) — Specify bucketName to automatically create a bucket, by the name specified, and add it to the created group.

## Response

### 200

Group successfully created

- `group` (GroupDetail, required)

## Errors

### 400 Bad Request Error

Invalid body parameter

- `any`

## Types

### GroupDetail

- `groupId` (integer, required)
- `buckets` (list of BucketDetail, optional) — The content buckets associated with the group
- `created` (string, optional) — The data time when the group was created, in RFC3339 format
- `fileCount` (integer, optional) — The number of files contained in the content buckets associated with the group
- `fileSize` (string, optional) — The total file size of files contained in the content buckets associated with the group
- `name` (string, optional)
- `prompt` (string, optional) — The group chat prompt stored in settings, when configured.
- `updated` (string, optional) — The data time when the group was last updated, in RFC3339 format

### BucketDetail

- `bucketId` (integer, required)
- `created` (string, optional) — The data time when the bucket was created, in RFC3339 format
- `fileCount` (integer, optional) — The number of files contained in the content bucket
- `fileSize` (string, optional) — The total file size of files contained in the content bucket
- `name` (string, optional)
- `updated` (string, optional) — The data time when the bucket was last updated, in RFC3339 format

## Examples

**Request**

```json
{
  "name": "Research Documents"
}
```

**Response**

```json
{
  "group": {
    "groupId": 5001,
    "buckets": [
      {
        "bucketId": 101,
        "created": "2024-05-20T14:22:10.123Z",
        "fileCount": 25,
        "fileSize": "12.4GB",
        "name": "Project Reports",
        "updated": "2024-06-01T09:15:45.456Z"
      }
    ],
    "created": "2024-05-20T14:22:10.123Z",
    "fileCount": 25,
    "fileSize": "12.4GB",
    "name": "Research Documents",
    "prompt": "Search within research project files",
    "updated": "2024-06-01T09:15:45.456Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.groundx.ai/api/v1/group"

payload = { "name": "Research Documents" }
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.groundx.ai/api/v1/group';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"Research Documents"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.groundx.ai/api/v1/group"

	payload := strings.NewReader("{\n  \"name\": \"Research Documents\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.groundx.ai/api/v1/group")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Research Documents\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.groundx.ai/api/v1/group")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Research Documents\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.groundx.ai/api/v1/group', [
  'body' => '{
  "name": "Research Documents"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.groundx.ai/api/v1/group");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Research Documents\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Research Documents"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.groundx.ai/api/v1/group")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```